# @summary Installs the octominer related configuration.
#
# @param watchdog_short_timeout
#   There is not clear documentation on this parameter from the command line tool.
#   In seconds.
#
# @param watchdog_long_timeout
#   The maximum time in seconds for the watchdog hardware to wait before rebooting the system unless it receives a status message.
#
# @param watchdog_ping_interval
#   The amount of time to periodically the status message to the watchdog hardware.
#
# @param lcd_update_interval
#   The amount of time to periodically update the LCD with status information.
#
class octominer (
  Integer $watchdog_short_timeout = 120,
  Integer $watchdog_long_timeout  = 600,
  Integer $watchdog_ping_interval = 30,
  Integer $lcd_update_interval    = 60,
) {
  $root_dir      = '/opt/octominer'
  $octo_ping     = "${root_dir}/octo-ping.bash"
  $octo_command  = "${root_dir}/fan_controller_cli"
  $octo_fan      = "${root_dir}/octo-fan.bash"
  $octo_status   = "${root_dir}/octo-status.bash"
  $octo_lcd      = "${root_dir}/octo-lcd.bash"
  $user          = 'root'

  contain octominer::install
  contain octominer::config

  Class['octominer::install'] -> Class['octominer::config']
}
